<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j"
>

    <!-- parameters: pageTitle, iti44Bean -->
    <!-- inserts: beforeFirstColumn, actionOnPatientColumn, ddsButtons, selectedPatientDivInsert -->

    <h1>#{messages['gazelle.PAMSimulator.PatientIdentitySource']}</h1>
    <h:form id="globalForm">
        <div class="btn-toolbar" role="toolbar" aria-label="pdsToolBar">
            <div class="btn-group" role="group" aria-label="buttons">
                <a4j:commandLink action="#{iti44Manager.getPage('ADD')}"
                                 execute="@this"
                                 styleClass="#{iti44Manager.getStyleClass('ADD')}">
                    <s:span styleClass="fa fa-plus gzl-text-blue"/>
                    <h:outputText
                            value="#{messages['gazelle.pam.AddPatientRecord']}"/>
                </a4j:commandLink>
                <a4j:commandLink action="#{iti44Manager.getPage('REVISE')}"
                                 execute="@this" styleClass="#{iti44Manager.getStyleClass('REVISE')}">
                    <s:span styleClass="gzl-icon-pencil"/>
                    <h:outputText
                            value="#{messages['gazelle.pam.RevisePatientRecord']}"/>
                </a4j:commandLink>
                <a4j:commandLink action="#{iti44Manager.getPage('MERGE')}"
                                 execute="@this" styleClass="#{iti44Manager.getStyleClass('MERGE')}">
                    <s:span styleClass="gzl-icon-compress"/>
                    <h:outputText
                            value="#{messages['gazelle.pam.PatientIdentityMerge']}"/>
                </a4j:commandLink>
            </div>
        </div>
        <br/>
        <ui:decorate template="/layout/panels/_panel_title.xhtml">
            <ui:define name="panel_title">#{pageTitle}</ui:define>
            <s:decorate template="/hl7v3/sut/sutSelection.xhtml">
                <ui:param name="senderDeviceId" value="#{iti44Bean.senderDeviceId}"/>
                <ui:param name="organizationOid" value="#{iti44Bean.organizationOid}"/>
                <ui:param name="sequenceDiagram" value="diag/PAT_IDENTITY_SRC_V3.png"/>
                <ui:param name="selectedSUT" value="#{iti44Manager.selectedSystem}"/>
                <ui:param name="availableSystems" value="#{iti44Manager.availableSystems}"/>
                <ui:param name="managedBean" value="#{iti44Manager}"/>
                <ui:param name="suffixId" value="1"/>
                <ui:define name="moreDetails">
                    <ui:include src="/cat/assigningAuthoritiesForSystem.xhtml">
                        <ui:param name="selectedSUT" value="#{iti44Manager.selectedSystem}"/>
                    </ui:include>
                </ui:define>
            </s:decorate>
            <s:decorate template="/patient/messageConfigTemplate.xhtml"
                        rendered="#{iti44Bean.messages == null}">
                <ui:param name="managedBean" value="#{iti44Bean}"/>
                <ui:param name="allowPatientGeneration" value="true"/>
                <ui:param name="renderedForSendMessageButton" value="#{iti44Bean.messages == null}"/>
                <ui:define name="helpText">
                    <ui:insert name="helpText"/>
                </ui:define>
                <ui:define name="actionOnPatientColumn">
                    <ui:insert name="actionOnPatientColumn"/>
                </ui:define>
                <ui:define name="ddsButtons">
                    <ui:insert name="ddsButtons"/>
                </ui:define>
                <ui:define name="selectedPatient">
                    <ui:insert name="selectedPatientDivInsert"/>
                </ui:define>
            </s:decorate>
            <s:decorate template="/layout/panels/_panel_title_footer_id.xhtml"
                        rendered="#{iti44Bean.messages != null}">
                <ui:param name="panel_id" value="reportPanel"/>
                <ui:define name="panel_title">#{messages['gazelle.simulator.pam.TestReport']}</ui:define>
                <ui:include src="/messages/message_table.xhtml">
                    <ui:param name="hl7Messages" value="#{iti44Bean.messages}"/>
                </ui:include>
                <ui:define name="panel_footer">
                    <a4j:commandButton value="#{messages['gazelle.simulator.pam.PerformAnotherTest']}"
                                       styleClass="gzl-btn-blue"
                                       render="globalForm"
                                       actionListener="#{iti44Bean.performAnotherTest()}"/>
                </ui:define>
            </s:decorate>
        </ui:decorate>
    </h:form>
</ui:composition>